#### D.2.12.14 preimageLoc

Procedure from library `ring.lib` (see ring_lib).

Usage:
  preimageLoc ( ring_name, map_name, ideal_name );
  all input parameters of type string

Return:
  ideal

Purpose:
  compute the preimage of an ideal under a given map for non-global orderings.
  The 2nd argument has to be the name of a map from the basering to the given ring (or the name of an ideal defining such a map), and the ideal has to be an ideal in the given ring.

Example:

    LIB "ring.lib";
    ring S =0,(x,y,z),dp;
    ring R0=0,(x,y,z),ds;
    qring R=std(x+x2); if(voice>1) {export R;}
    map psi=S,x,y,z;   if(voice>1) {export psi;}
    ideal null;        if(voice>1) {export null;}
    setring S;
    ideal nu=preimageLoc("R","psi","null");
    nu;
    ==> nu[1]=x

See also: preimage.

User manual for Singular version 4.4.1, 2025, generated by texi2html.